Usage:

```
export GANDI_API_KEY=mykey
ansible-playbook main.yml -i hosts.cfg --extra-vars "gandi_api_key=$GANDI_API_KEY" --limit=cabinet
```

Additional variables:
- `gandi_api_key`: gandi api key for dynamic dns (only for hosts with non-static IPs)
- `dma_auth`: smtp password to be used by dma (for sending mail)

Assumes:

- OS (Debian) has been installed and IPs have been configured in hosts.cfg
- Host is already trusted via ssh and can be ssh'd into using keys
- Passwordless sudo is enabled for the user ansible uses
- ZFS and Docker already already configured on applicable hosts
- Special mounts such as /media-vtluug already have their folder created.
- Any additional users have been created
