#!/bin/bash

set -e

up () {
  # Exposed on port 4001 in pew-net  
  docker run \
    --detach \
    --name picoshare \
    --env PS_BEHIND_PROXY=true \
    --env-file picoshare.env \
    --restart unless-stopped \
    --volume /mammoth/picoshare/data:/data:rw \
    --network pew-net \
    mtlynch/picoshare:latest -db /data/store.db
}

down () {
  docker stop picoshare || true
  docker rm picoshare || true
}

$@
