#!/bin/bash

set -e

up () {
  # Exposed on port 32400 in pew-net
  docker run \
    --detach \
    --name plex \
    --restart unless-stopped \
    --runtime nvidia \
    --env PUID=1000 \
    --env PGID=1000 \
    --env PLEX_CLAIM=claim--s3HWLR-i1491PiefRwG \
    --env NVIDIA_VISIBLE_DEVICES=all \
    --env VERSION=docker \
    --volume /mammoth/plex/config:/config:rw \
    --volume /mammoth/media/homemedia:/media/homemedia:ro \
    --volume /mammoth/media/audiobooks:/media/audiobooks:ro \
    --volume /mammoth/media/movies:/media/movies:ro \
    --volume /mammoth/media/music:/media/music:ro \
    --volume /mammoth/media/radio:/media/radio:ro \
    --volume /mammoth/media/tv:/media/tv:ro \
    --volume /media-vtluug:/media/media-vtluug:ro \
    --volume /mammoth/tmp/plex/transcode:/transcode:rw \
    --publish 32400:32400 \
    --network pew-net \
    ghcr.io/linuxserver/plex:latest
}

down () {
  docker stop plex || true
  docker rm plex || true
}

logs () {
  docker logs --follow plex
}

$@
