#!/bin/bash

set -e

up () {
  pushd qgis-server &>/dev/null
  docker build -t qgis-server:dev .
  popd &>/dev/null

  # Exposed on port 5555 in pew-net  
  docker run \
    --detach \
    --name qgis-server \
    --restart unless-stopped \
    --label com.centurylinklabs.watchtower.enable=false \
    --env DEBUG=1  \
    --env LANG=en_EN.UTF-8 \
    --env QGIS_PROJECT_FILE=/data/cogtest/cogtest.qgz \
    --env QGIS_SERVER_LOG_LEVEL=0 \
    --volume /mammoth/gis/qgis-server/data:/data:ro \
    --network pew-net \
    qgis-server:dev
}

down () {
  docker stop qgis-server || true
  docker rm qgis-server || true
}

$@
