#!/bin/bash

set -e

up () {
  # Exposted on 8080 in pew-net
  docker run \
    --detach \
    --name jenkins \
    --restart unless-stopped \
    --volume /subway/jenkins/jenkins_home:/var/jenkins_home:rw \
    --network pew-net \
    jenkins/jenkins:lts
}

down () {
  docker stop jenkins || true
  docker rm jenkins || true
}

logs () {
  docker logs --follow jenkins
}

$@
