#!/bin/bash

set -e

up () {
  docker network create pew-net || true

  # Exposed on port 3000 on pew-net
  docker run \
    --detach \
    --name grafana \
    --restart unless-stopped \
    --user 1000 \
    --volume /bigdata/ha/grafana:/var/lib/grafana:rw \
    --network pew-net \
    grafana/grafana-oss:latest
}

down () {
  docker stop grafana || true
  docker rm grafana || true
}

logs () {
  docker logs --follow grafana
}

$@
