#!/bin/bash

set -e

up () {
  docker network create pew-net || true

  # Exposed on port 8091 on pew-net
  docker run \
    --detach \
    --name zwavejs \
    --restart unless-stopped \
    --volume /bigdata/ha/zwavejs/store:/usr/src/app/store:rw \
    --device /dev/serial/by-id/usb-Zooz_800_Z-Wave_Stick_533D004242-if00 \
    --network pew-net \
    zwavejs/zwave-js-ui:latest
}

down () {
  docker stop zwavejs || true
  docker rm zwavejs || true
}

logs () {
  docker logs --follow zwavejs
}

$@
